Subject: RE: RED

From: "Punj, Arun" <[email-masked]>
Date: Wed, 26 Dec 2001 08:32:43 -0500

RED: Random early discard

Purpose : To ensure that network does not get severly congested by taking
proactive measures
as the congestion levels start increasing.

Theory:
If you discard an IP packet ( TCP) than the sender will reduce its window
size to half -
in effect backing off from generating traffic for sometime. Thus reducing
the load on
the network.

How it works:

Define congestion levels as function of buffer utilization. 

60% buffers utilized -- Congestion level 1 - drop coeff = .001 (say )
80% buffers utilized -- Congestion level 2 - drop coeff = .002 ( say )

Let us say your switch is at congestion level_1, with drop coeff = .001.
When
you get a packet you calculate a drop probability by multiplying drop coeff
with
a random number between (0 and 1500), and if that number is greater than 1
drop
the packet else pass it. This is just the theory, in practise, each router
has
a different flavor of this scheme.

The  values for your routers should be chosen such that when you are 60% 
congested, you are dropping about 1 packet in 1000 and when you are at 80%
congestion
you are dropping about 10 packets per 1000. ( Afcourse you will have to play
with
your router and network to determine the exact value )

Arun

> -----Original Message-----
> From: Swayam Prakash [mailto:[email-masked]]
> Sent: Wednesday, December 26, 2001 5:05 AM
> To: [email-masked]
> Subject: RED
> 
> 
> Hi
>  Can you suggest any web sites or any other material to know about
> RED(Random Early Detection).
> I have the following queries
> (1)To ur knowledge r there any mailing lists related to RED
> (2)How to configure RED parameters on a router,i mean how to arrive at
> any typical values for an interface.
> (3)What does it means in RED "a packet is marked with a probability P
> for dropping".
> 
> If u can't answer atleast direct me to a good link/source.
> 
> Thanks
> Swayam
>